<?xml version="1.0" encoding="UTF-8"?>
<workbench progressCount="14" version="2.0">
<workbenchAdvisor/>
<window height="768" width="1024" x="0" y="0">
<fastViewData fastViewLocation="1024"/>
<perspectiveBar>
<itemSize x="160"/>
</perspectiveBar>
<coolbarLayout locked="0">
<coolItem id="group.file" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.file" itemType="typeToolBarContribution" x="95" y="22"/>
<coolItem id="additions" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.debug.ui.launchActionSet" itemType="typeToolBarContribution" x="121" y="22"/>
<coolItem id="org.eclipse.jdt.ui.JavaElementCreationActionSet" itemType="typeToolBarContribution" x="95" y="22"/>
<coolItem id="org.eclipse.search.searchActionSet" itemType="typeToolBarContribution" x="59" y="22"/>
<coolItem id="org.eclipse.ui.edit.text.actionSet.presentation" itemType="typeToolBarContribution" x="59" y="22"/>
<coolItem id="group.nav" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.navigate" itemType="typeToolBarContribution" x="108" y="22"/>
<coolItem id="group.editor" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.jdt.ui.ClassFileEditor" itemType="typeToolBarContribution" x="-1" y="-1"/>
<coolItem id="org.eclipse.jdt.ui.CompilationUnitEditor" itemType="typePlaceholder" x="-1" y="-1"/>
<coolItem id="group.help" itemType="typeGroupMarker"/>
<coolItem id="org.eclipse.ui.workbench.help" itemType="typeToolBarContribution" x="-1" y="-1"/>
</coolbarLayout>
<page focus="true" label="Workspace - Java">
<editors>
<editorArea activeWorkbook="DefaultEditorWorkbook">
<info part="DefaultEditorWorkbook">
<folder appearance="1" expanded="2">
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
</editorArea>
</editors>
<views>
<view id="org.eclipse.jdt.callhierarchy.view" partName="Call Hierarchy">
<viewState search_scope_type="1"/>
</view>
<view id="org.eclipse.search.ui.views.SearchView" partName="Search">
<viewState>
<view IMemento.internal.id=""/>
<view IMemento.internal.id="org.eclipse.jdt.ui.JavaSearchResultPage" org.eclipse.jdt.search.resultpage.filters="0" org.eclipse.jdt.search.resultpage.grouping="3" org.eclipse.jdt.search.resultpage.limit="1000" org.eclipse.jdt.search.resultpage.limit_enabled="TRUE" org.eclipse.jdt.search.resultpage.sorting="1" org.eclipse.search.resultpage.layout="2"/>
</viewState>
</view>
<view id="org.eclipse.ui.views.ContentOutline" partName="Outline">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.SourceView" partName="Declaration">
<viewState/>
</view>
<view id="org.eclipse.jdt.ui.TypeHierarchy" partName="Hierarchy">
<viewState hidefields="false" hidelocaltypes="false" hidenonpublic="false" hidestatic="false" input="=pg_inak/C:\/Program Files\/Java\/jre1.5.0_05\/lib\/rt.jar&lt;javax.swing(JDialog.class[JDialog" mv_vertical_scroll="0" org.eclipse.jdt.ui.packages.linktypehierarchytoeditor="0" orientation="0" ratio="350" selection="=pg_inak/C:\/Program Files\/Java\/jre1.5.0_05\/lib\/rt.jar&lt;javax.swing(JDialog.class[JDialog" showinherited="false" sortbydefiningtype="false" vertical_scroll="0" view="1" workingSetName=""/>
</view>
<view id="org.eclipse.ui.views.ProblemView" partName="Problems">
<viewState columnWidth0="19" columnWidth1="509" columnWidth2="75" columnWidth3="150" columnWidth4="60" horizontalPosition="0" verticalPosition="0">
<selection/>
</viewState>
</view>
</views>
<perspectives activePart="org.eclipse.ui.views.ProblemView" activePerspective="org.eclipse.jdt.ui.JavaPerspective">
<perspective editorAreaVisible="1" fixed="0" version="0.016">
<descriptor class="org.eclipse.jdt.internal.ui.JavaPerspectiveFactory" id="org.eclipse.jdt.ui.JavaPerspective" label="Java"/>
<alwaysOnActionSet id="org.eclipse.ui.cheatsheets.actionSet"/>
<alwaysOnActionSet id="org.eclipse.search.searchActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.openExternalFile"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.navigation"/>
<alwaysOnActionSet id="org.eclipse.ui.edit.text.actionSet.convertLineDelimitersTo"/>
<alwaysOnActionSet id="org.eclipse.ui.externaltools.ExternalToolsSet"/>
<alwaysOnActionSet id="org.eclipse.ui.actionSet.keyBindings"/>
<alwaysOnActionSet id="org.eclipse.update.ui.softwareUpdates"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.launchActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.ui.JavaElementCreationActionSet"/>
<alwaysOnActionSet id="org.eclipse.ui.NavigateActionSet"/>
<alwaysOnActionSet id="org.eclipse.debug.ui.breakpointActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.debug.ui.JDTDebugActionSet"/>
<alwaysOnActionSet id="org.eclipse.jdt.junit.JUnitActionSet"/>
<show_view_action id="org.eclipse.jdt.ui.PackageExplorer"/>
<show_view_action id="org.eclipse.jdt.ui.TypeHierarchy"/>
<show_view_action id="org.eclipse.jdt.ui.SourceView"/>
<show_view_action id="org.eclipse.jdt.ui.JavadocView"/>
<show_view_action id="org.eclipse.search.ui.views.SearchView"/>
<show_view_action id="org.eclipse.ui.console.ConsoleView"/>
<show_view_action id="org.eclipse.ui.views.ContentOutline"/>
<show_view_action id="org.eclipse.ui.views.ProblemView"/>
<show_view_action id="org.eclipse.ui.views.ResourceNavigator"/>
<show_view_action id="org.eclipse.ant.ui.views.AntView"/>
<show_view_action id="org.eclipse.pde.runtime.LogView"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewPackageCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewClassCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewInterfaceCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewEnumCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewAnnotationCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSourceFolderCreationWizard"/>
<new_wizard_action id="org.eclipse.jdt.ui.wizards.NewSnippetFileCreationWizard"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.folder"/>
<new_wizard_action id="org.eclipse.ui.wizards.new.file"/>
<new_wizard_action id="org.eclipse.ui.editors.wizards.UntitledTextFileWizard"/>
<new_wizard_action id="org.eclipse.jdt.junit.wizards.NewTestCaseCreationWizard"/>
<perspective_action id="org.eclipse.jdt.ui.JavaPerspective"/>
<perspective_action id="org.eclipse.debug.ui.DebugPerspective"/>
<perspective_action id="org.eclipse.jdt.ui.JavaBrowsingPerspective"/>
<view id="org.eclipse.jdt.ui.TypeHierarchy"/>
<view id="org.eclipse.ui.views.ProblemView"/>
<view id="org.eclipse.jdt.ui.SourceView"/>
<view id="org.eclipse.search.ui.views.SearchView"/>
<view id="org.eclipse.jdt.callhierarchy.view"/>
<view id="org.eclipse.ui.views.ContentOutline"/>
<layout>
<mainWindow>
<info folder="true" part="left">
<folder activePageID="org.eclipse.jdt.ui.TypeHierarchy" appearance="2" expanded="2">
<page content="org.eclipse.jdt.ui.PackageExplorer" label="LabelNotFound"/>
<page content="org.eclipse.jdt.ui.TypeHierarchy" label="Hierarchy"/>
<page content="org.eclipse.ui.views.ResourceNavigator" label="LabelNotFound"/>
<page content="org.eclipse.jdt.junit.ResultView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@1a4036f" ratio="0.74950296" ratioLeft="754" ratioRight="252" relationship="2" relative="left">
<folder appearance="2" expanded="2">
<page content="org.eclipse.help.ui.HelpView" label="LabelNotFound"/>
<page content="org.eclipse.ui.internal.introview" label="LabelNotFound"/>
<page content="org.eclipse.ui.cheatsheets.views.CheatSheetView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory"/>
</folder>
</info>
<info part="org.eclipse.ui.editorss" ratio="0.24950299" ratioLeft="251" ratioRight="755" relationship="2" relative="left"/>
<info folder="true" part="bottom" ratio="0.7496206" ratioLeft="494" ratioRight="165" relationship="4" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ProblemView" appearance="2" expanded="2">
<page content="org.eclipse.ui.views.ProblemView" label="Problems"/>
<page content="org.eclipse.jdt.ui.JavadocView" label="LabelNotFound"/>
<page content="org.eclipse.jdt.ui.SourceView" label="Declaration"/>
<page content="org.eclipse.search.ui.views.SearchView" label="Search"/>
<page content="org.eclipse.ui.console.ConsoleView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.BookmarkView" label="LabelNotFound"/>
<page content="org.eclipse.ui.views.ProgressView" label="LabelNotFound"/>
<page content="org.eclipse.jdt.callhierarchy.view" label="Call Hierarchy"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
<part id="1"/>
<part id="2"/>
<part id="3"/>
</presentation>
</folder>
</info>
<info folder="true" part="org.eclipse.ui.internal.ViewStack@113e8f3" ratio="0.694259" ratioLeft="520" ratioRight="229" relationship="2" relative="org.eclipse.ui.editorss">
<folder activePageID="org.eclipse.ui.views.ContentOutline" appearance="2" expanded="0">
<page content="org.eclipse.ui.views.ContentOutline" label="Outline"/>
<page content="org.eclipse.ant.ui.views.AntView" label="LabelNotFound"/>
<presentation id="org.eclipse.ui.presentations.WorkbenchPresentationFactory">
<part id="0"/>
</presentation>
</folder>
</info>
</mainWindow>
</layout>
</perspective>
</perspectives>
<navigationHistory>
<editors>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/SunflowGUI.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/SunflowGUI.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/Intersectable.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/RenderState.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/IntersectionAccelerator.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/accel/UniformGrid.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/Intersectable.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/Scene.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/SunflowGUI.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/geometry/Plane.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/geometry/Sphere.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/geometry/Triangle.java"/>
<editor factoryID="org.eclipse.jdt.ui.ClassFileEditorInputFactory" id="org.eclipse.jdt.ui.ClassFileEditor" org.eclipse.jdt.ui.ClassFileIdentifier="=pg_inak/C:\/Program Files\/Java\/jre1.5.0_05\/lib\/rt.jar&lt;javax.swing(JDialog.class"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/Intersectable.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/geometry/Plane.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/SunflowGUI.java"/>
<editor factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" path="/pg_inak/src/org/sunflow/raytracer/Intersectable.java"/>
</editors>
<item historyLabel="SunflowGUI.java" index="0">
<position info="not_deleted" x="1788" y="5"/>
</item>
<item historyLabel="SunflowGUI.java" index="0">
<position info="not_deleted" x="7924" y="9"/>
</item>
<item historyLabel="SunflowGUI.java" index="0">
<position info="not_deleted" x="1788" y="5"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="1822" y="7"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="1895" y="14"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="1740" y="0"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="7924" y="9"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="7683" y="15"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="30122" y="4"/>
</item>
<item historyLabel="SunflowGUI.java" index="1">
<position info="not_deleted" x="1741" y="10"/>
</item>
<item historyLabel="Intersectable.java" index="2">
<position info="not_deleted" x="175" y="0"/>
</item>
<item historyLabel="Intersectable.java" index="2">
<position info="not_deleted" x="1585" y="11"/>
</item>
<item historyLabel="RenderState.java" index="3">
<position/>
</item>
<item historyLabel="IntersectionAccelerator.java" index="4">
<position/>
</item>
<item historyLabel="UniformGrid.java" index="5">
<position/>
</item>
<item historyLabel="Intersectable.java" index="6">
<position/>
</item>
<item historyLabel="RenderState.java" index="3">
<position/>
</item>
<item historyLabel="Intersectable.java" index="6">
<position/>
</item>
<item historyLabel="RenderState.java" index="3">
<position/>
</item>
<item historyLabel="Scene.java" index="7">
<position/>
</item>
<item historyLabel="Intersectable.java" index="6">
<position info="not_deleted" x="180" y="0"/>
</item>
<item historyLabel="Intersectable.java" index="6">
<position info="not_deleted" x="2758" y="0"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="15347" y="9"/>
</item>
<item historyLabel="Intersectable.java" index="6">
<position info="not_deleted" x="2758" y="0"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="15347" y="9"/>
</item>
<item historyLabel="Plane.java" index="9">
<position/>
</item>
<item historyLabel="Sphere.java" index="10">
<position/>
</item>
<item historyLabel="Triangle.java" index="11">
<position/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="27031" y="14"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="27186" y="0"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="1741" y="10"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="1741" y="10"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="27186" y="0"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="27031" y="14"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="28853" y="4"/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="27054" y="7"/>
</item>
<item historyLabel="JDialog.class" index="12">
<position/>
</item>
<item historyLabel="SunflowGUI.java" index="8">
<position info="not_deleted" x="27057" y="0"/>
</item>
<item historyLabel="JDialog.class" index="12">
<position/>
</item>
<item historyLabel="IntersectionAccelerator.java" index="4">
<position info="not_deleted" x="236" y="23"/>
</item>
<item historyLabel="Intersectable.java" index="13">
<position/>
</item>
<item historyLabel="Plane.java" index="14">
<position/>
</item>
<item historyLabel="SunflowGUI.java" index="15">
<position/>
</item>
<item historyLabel="Intersectable.java" index="16">
<position/>
</item>
<item historyLabel="SunflowGUI.java" index="15">
<position info="not_deleted" x="7924" y="9"/>
</item>
<item active="true" historyLabel="Intersectable.java" index="16">
<position info="not_deleted" x="224" y="0"/>
</item>
</navigationHistory>
<stickyState/>
<input factoryID="org.eclipse.ui.internal.model.ResourceFactory" path="/" type="8"/>
</page>
<workbenchWindowAdvisor/>
<actionBarAdvisor/>
</window>
<mruList>
<file factoryID="org.eclipse.jdt.ui.ClassFileEditorInputFactory" id="org.eclipse.jdt.ui.ClassFileEditor" name="JDialog.class" tooltip="javax.swing.JDialog">
<persistable org.eclipse.jdt.ui.ClassFileIdentifier="=pg_inak/C:\/Program Files\/Java\/jre1.5.0_05\/lib\/rt.jar&lt;javax.swing(JDialog.class"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Triangle.java" tooltip="pg_inak/src/org/sunflow/raytracer/geometry/Triangle.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/geometry/Triangle.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Sphere.java" tooltip="pg_inak/src/org/sunflow/raytracer/geometry/Sphere.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/geometry/Sphere.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Plane.java" tooltip="pg_inak/src/org/sunflow/raytracer/geometry/Plane.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/geometry/Plane.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Scene.java" tooltip="pg_inak/src/org/sunflow/raytracer/Scene.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/Scene.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="UniformGrid.java" tooltip="pg_inak/src/org/sunflow/raytracer/accel/UniformGrid.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/accel/UniformGrid.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="IntersectionAccelerator.java" tooltip="pg_inak/src/org/sunflow/raytracer/IntersectionAccelerator.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/IntersectionAccelerator.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="RenderState.java" tooltip="pg_inak/src/org/sunflow/raytracer/RenderState.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/RenderState.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="Intersectable.java" tooltip="pg_inak/src/org/sunflow/raytracer/Intersectable.java">
<persistable path="/pg_inak/src/org/sunflow/raytracer/Intersectable.java"/>
</file>
<file factoryID="org.eclipse.ui.part.FileEditorInputFactory" id="org.eclipse.jdt.ui.CompilationUnitEditor" name="SunflowGUI.java" tooltip="pg_inak/SunflowGUI.java">
<persistable path="/pg_inak/SunflowGUI.java"/>
</file>
</mruList>
</workbench>